Bug 478586 - quilt revert messes things up.
quilt revert messes things up.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: quilt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 08:59 EST by Tsutomu Hiroshima
Modified: 2009-12-18 02:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:27:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tsutomu Hiroshima 2009-01-01 08:59:20 EST
Description of problem:
quilt revert does not work after quilt refresh,
but makes a hard link after quilt refresh.

Version-Release number of selected component (if applicable):
quilt-0.47-1.fc10.x86_64 and i386

How reproducible:
always

Steps to Reproduce:
1. Prepare a.txt, quilt, and edit a.txt.
echo aaa > a.txt
quilt new 1
quilt add a.txt
echo xxx >| a.txt

2. Following sequence ends up with "File a.txt is unchanged" 
quilt refresh
quilt revert a.txt

whereas 

diff -u a.txt .pc/1/a.txt 
=>
--- a.txt	2009-01-01 22:21:49.000000000 +0900
+++ .pc/1/a.txt	2009-01-01 22:20:28.000000000 +0900
@@ -1 +1 @@
-xxx
+aaa

3. After step 1, check the inodes of the saved original and the edited files.
ls -i a.txt .pc/1/a.txt
=> 65968 .pc/1/a.txt  2359859 a.txt

4. revert without refresh
quilt revert a.txt
=> Changes to a.txt in patch patches/1 reverted

5. Now the edited file became a hard link of the original, therefore subsequent edits on a.txt affect the both.
ls -i a.txt .pc/1/a.txt
=> 65968 .pc/1/a.txt  65968 a.txt

Actual results:
quilt revert doesn't work properly.

Expected results:
quilt revert works properly after refresh,
should not make a hard link of original. 

Additional info:
Comment 1 Josh Boyer 2009-01-12 08:23:37 EST
Reported upstream:

https://savannah.nongnu.org/bugs/index.php?25305
Comment 2 Jean Delvare 2009-06-11 03:56:17 EDT
Proposed fix attached to the upstream bug report.
Comment 3 Bug Zapper 2009-11-18 05:37:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:27:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.